import java.awt.*;
import javax.swing.*;

public class Zeichnung extends JPanel {
  // zeichnet Firmenemblem3

  private Spinne s;

  private int grundseite;

  public Zeichnung (int g)
    {grundseite = g;}

  private void zeichneRaute (int a, int vz) {
    // zeichnet Raute "mit Dach"
    s.vor(a); s.drehe(vz * 60);
    s.vor(a); s.drehe(vz * 120);
    s.vor(a); s.drehe(vz * 60);
    s.vor(a); s.drehe(vz * 120);
    s.vor(2 * a); s.drehe(vz * 120);
    s.vor(2 * a); s.drehe(vz * 120);
    s.springeVor(2 * a); s.drehe(vz * 120);
    } // Ende zeichneRaute

  private void zeichneFigur (int a) {
    for (int i = 0; i < 6; i++) {
      int drehsinn = 1 - 2 * (i % 2);
      zeichneRaute(a, drehsinn);
      s.drehe(120);
      } // Ende for
    } // Ende zeichneFigur

  public void paintComponent (Graphics g) {
    super.paintComponent(g);
    s = new Spinne(g, 200, 200, 30);
    zeichneFigur(grundseite);
    // zeichneRaute(grundseite, -1);
    // s.zeigeSpinne();
    } // Ende paintComponent

  } // Ende Zeichnung

 