import java.awt.*;
import javax.swing.*;

public class Zeichnung extends JPanel {
  // zeichnet Firmenemblem1

  private Spinne s;

  private int grundseite, parallelogrammseite;

  public Zeichnung (int g, int p)
    {grundseite = g; parallelogrammseite = p;}

  private void zeichneQuadrat (int a) {
    for (int i = 0; i < 4; i++)
      {s.vor(a); s.drehe(90);}
    } // Ende zeichneQuadrat

  private void zeichneParallelogramm (double a, double p) {
    double b = a / 3;
    double diagonale = Math.sqrt(b * b + (a - p)* (a - p));
    double winkel = Math.atan((a - p) / b) * 180 / Math.PI;
    s.drehe(winkel); s.vor(diagonale);
    s.drehe(90 - winkel); s.vor(p); 
    s.drehe(90 + winkel); s.vor(diagonale);
    s.drehe(90 - winkel); s.vor(p);
    } // Ende zeichneParallelogramm

  private void zeichneFigur (int a, int p) {
    zeichneQuadrat(a);
    s.vor(a / 3);
    zeichneParallelogramm(a, p);
    } // Ende zeichneFigur

  public void paintComponent (Graphics g) {
    super.paintComponent(g);
    s = new Spinne(g, 100, 200, 0);
    zeichneFigur(grundseite, parallelogrammseite);
    } // Ende paintComponent

  } // Ende Zeichnung
