import java.awt.*;

public class Spinne {
  
  public final Color grn     = Color.green;
  public final Color blau     = Color.blue;
  public final Color gelb     = Color.yellow;
  public final Color rot      = Color.red;
  public final Color purpur   = Color.magenta;
  public final Color grau     = Color.gray;
  public final Color hellgrau = Color.lightGray;
  public final Color orange   = Color.orange;
  public final Color schwarz  = Color.black;
  public final Color wei     = Color.white;

  protected double   posX0, posY0;
  protected double   richtung0;
  protected double   posX, posY;
  protected double   richtung;
  protected boolean  stiftUnten;
  protected Color    farbe;
  protected Graphics g;

  public Spinne (Graphics g0, double x,
                 double y, double r) { 
    posX0 = x; posY0 = y;
    richtung0 = r;
    zumStart();
    stiftUnten = true; 
    farbe = Color.black;
    g = g0;
    } // Ende Konstruktor

  public void zumStart() {
    posX = posX0; posY = posY0;
    richtung = richtung0;
    } // zumStart

  public void setzFarbe (Color f)
    {farbe = f;}

  public void stiftHoch()
    {stiftUnten = false;}

  public void stiftTief()
    {stiftUnten = true;}

  public void drehe (double winkel)
    {richtung = Math.IEEEremainder(richtung + winkel, 360.0);}

  private int rd (double x)
    {return (int) Math.round(x);}

  private double bg (double winkel)
    {return winkel * Math.PI/180.0;}

  public void vor (double s) {
    double neuX = posX + s * Math.cos(bg(richtung));
    double neuY = posY - s * Math.sin(bg(richtung));
    if (stiftUnten) {
      g.setColor(farbe);
      g.drawLine(rd(posX), rd(posY), rd(neuX), rd(neuY));
      } // Ende if
    posX = neuX; posY = neuY;
    } // Ende vor

  public void zurck (double lnge)
    {vor(-lnge);}

  private void zeigeZustand() {
    double faktor = 0.5;
    vor( -10 * faktor); drehe(90);
    vor(  10 * faktor); drehe(-110);
    vor(29.2 * faktor); drehe(-140);
    vor(29.2 * faktor); drehe(-110);
    vor(  10 * faktor); drehe(-90);
    vor(  10 * faktor);
    } // Ende zeigeZustand

  public void zeigeSpinne() {
    Color farbeAlt = farbe;
    farbe = Color.black;
    // farbe = new Color(250, 50, 150);
    zeigeZustand();
    farbe = farbeAlt;
    } // Ende zeigeSpinne

  public void lscheSpinne() {
    Color farbeAlt = farbe;
    farbe = Color.white;
    zeigeZustand();
    farbe = farbeAlt;
    } // lscheSpinne

  } // Ende Spinne
